<!--baseball_online admin.php<?php
#----------------------------------------------------------#
# baseball_online admin.php
#----------------------------------------------------------#
include'_config.php';
#----------------------------------------------------------#
# 設定
#----------------------------------------------------------#
$SET[admin_pass]="bsBSTuUrr0c9I";
#----------------------------------------------------------#
$disp='';
$TIME_ST=microtime(true);
#フォームチェック
foreach($_POST as $key=>$val){$Q[$key]=$val;}
foreach($_GET as $key=>$val){$Q[$key]=$val;}
#セッション
session_start();
#モード読み込み
$r=$Q['r'];
if(!$r){$r='index';}
if(file_exists($d_mente)){$r='mente_mode';}	#メンテ用

$disp='';
if(!function_exists($r)){
error($r."は存在しません");
}else{
$r();
}
disp($disp);
#----------------------------------------------------------#
# トップページ
#----------------------------------------------------------#
function index(){
global$disp,$Q,$SET;

$disp.=head();
$disp.=title(1);
$disp.=<<<EOF
<tr><form method=POST action="$SET[path_admin]"><td colspan=2>
<input type=text name=pass size=12>
<input type=submit value="ログイン">
</td><input type=hidden name=r value="login_crypt"></form></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# パス変換
#----------------------------------------------------------#
function login_crypt(){
global$disp,$Q,$SET;

$D[pass]=crypt($Q[pass],$SET[crypt]);

$disp.=head();
$disp.=title(1);
$disp.=<<<EOF
<tr><form method=POST action="$SET[path_admin]"><td colspan=2>
$D[pass]&nbsp;<input type=submit value="ログイン">
</td><input type=hidden name=pass value="$D[pass]">
<input type=hidden name=r value="admin"></form></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# 管理画面メイン
#----------------------------------------------------------#
function admin(){
global$disp,$Q,$SET;
if($Q[pass]!=$SET[admin_pass]){error("パスワードが違います");}

$disp.=head();
$disp.=title(1);
$disp.=<<<EOF
<tr><td colspan=2>
<b>管理画面</b>
<table><tr><form method=POST action="$SET[path_admin]"><td>
<input type=submit value="更新" onclick="r.value='admin';"><br>
<input type=submit value="DB作成・確認" onclick="r.value='database';"><br>
<input type=submit value="告知" onclick="r.value='notice';">
</td><input type=hidden name=pass value="$Q[pass]">
<input type=hidden name=r value="admin"></form></tr></table>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# 告知
#----------------------------------------------------------#
function notice(){
global$disp,$Q,$SET;
if($Q[pass]!=$SET[admin_pass]){error("パスワードが違います");}
#--------------------------------------#
$db=sql_open();
#--------------------------------------#
# 告知
#--------------------------------------#
$sql=mysql_query("SELECT * FROM notice");
$n=0;$NOTICE=array();
while ($NOT=mysql_fetch_assoc($sql)){
	$NOTICE[$n]=$NOT[id];
	$n++;
}
arsort($NOTICE);
foreach($NOTICE as $no=>$time){
	$NOT=read_data('notice',$time);
	$html_notn='';
	if((time()-$NOT[id])<=86400*3){
		$html_notn="&nbsp;<img src='$SET[dir_img]/new.gif' alt='new icon' style='width:28px;height:11px;'>";
	}
	$html_notice.="<tr onclick=\"javascript:notice($NOT[id]);\" class=tn><td style=\"width:310px;padding:0 0 0 5px;\"><input type=radio name=no value='$NOT[id]'>".$NOT[title].$html_notn.'</td><td style="width:150px;">'.html_time($NOT[id],1).'</td></tr>';
	$html_notice.="<tr><td colspan=2 class=tnu id='$NOT[id]' style='display:none;padding:5 5px 5 5px;font-size:12px;'>$NOT[html]</td></tr>";
	$html_notice.="</tr>\n";
}

if($html_notice){
$html_notice=<<<EOF
<table><form method=POST action="$SET[path_admin]">
$html_notice
<tr><td colspan=2><input type=submit value="編集"></td></tr>
<input type=hidden name=pass value="$Q[pass]">
<input type=hidden name=r value="notice_edit"></form></table>
EOF;
}else{
	$html_notice="表示するものはありません。";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=<<<EOF
<script type="text/javascript">
 <!--
  function notice(times){
	if(document.getElementById(times).style.display=='none'){
		document.getElementById(times).style.display='block';
	}else{
		document.getElementById(times).style.display='none';
	}
}
//-->
</script>
EOF;
$disp.=title(1);
$disp.=<<<EOF
<tr><td colspan=2>
<b>告知管理</b><blockquote>
<b>新規告知</b>(タグ可)
<table><tr><form method=POST action="$SET[path_admin]"><td>
タイトル：<input type=text name=title size=33><br>
<textarea name=html cols=60 rows=10></textarea><br>
<input type=submit value="告知">
</td><input type=hidden name=pass value="$Q[pass]">
<input type=hidden name=r value="notice_new"></form></tr></table><br>
<b>告知済</b>
$html_notice
</blockquote>
<table><tr><form method=POST action="$SET[path_admin]"><td>
<input type=submit value="更新" onclick="r.value='notice';"><input type=submit value="戻る">
</td><input type=hidden name=pass value="$Q[pass]">
<input type=hidden name=r value="admin"></form></tr></table>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# 告知追加
#----------------------------------------------------------#
function notice_new(){
global$disp,$Q,$SET;
if($Q[pass]!=$SET[admin_pass]){error("パスワードが違います");}
#--------------------------------------#
$db=sql_open();
#--------------------------------------#
if($Q[title]&&$Q[html]){
	$NOT=array();
	$NOT[id]=time();
	$NOT[title]=$Q[title];
	$NOT[html]=$Q[html];
	#作成
	$NOT_COL=insert_colum($NOT);
	$NOT_DATA=insert_data($NOT);
	$sql="INSERT INTO notice $NOT_COL VALUES $NOT_DATA";
	mysql_query($sql) or error("NOTICEの作成に失敗しました...接続を確認してください($sql)");
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
notice();
}
#----------------------------------------------------------#
# 告知編集
#----------------------------------------------------------#
function notice_edit(){
global$disp,$Q,$SET;
if($Q[pass]!=$SET[admin_pass]){error("パスワードが違います");}
#--------------------------------------#
$db=sql_open();
#--------------------------------------#
# 告知
#--------------------------------------#
if(data_check('notice','id',$Q[no])){
	$NOT=read_data('notice',$Q[no]);
$html_notice=<<<EOF
<b>告知編集($Q[no])</b>(タグ可)
<table><tr><form method=POST action="$SET[path_admin]"><td>
タイトル：<input type=text name=title size=33 value="$NOT[title]"><br>
<textarea name=html cols=60 rows=10>$NOT[html]</textarea><br>
<input type=submit value="告知">
</td><input type=hidden name=pass value="$Q[pass]">
<input type=hidden name=no value="$Q[no]">
<input type=hidden name=r value="notice_edit_ok"></form></tr></table>
タイトルか内容をなしのまま更新すると告知を削除します。
EOF;
}else{
	$html_notice="記事がありません。";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=title(1);
$disp.=<<<EOF
<tr><td colspan=2>
<b>告知管理(編集)</b><blockquote>
$html_notice
</blockquote>
<table><tr><form method=POST action="$SET[path_admin]"><td>
<input type=submit value="戻る" onclick="r.value='notice';"><input type=submit value="管理トップヘ">
</td><input type=hidden name=pass value="$Q[pass]">
<input type=hidden name=r value="admin"></form></tr></table>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# 告知編集完了
#----------------------------------------------------------#
function notice_edit_ok(){
global$disp,$Q,$SET;
if($Q[pass]!=$SET[admin_pass]){error("パスワードが違います");}
#--------------------------------------#
$db=sql_open();
#--------------------------------------#
if(data_check('notice','id',$Q[no])){
	$NOT=read_dataL('notice',$Q[no]);
	if($Q[title]&&$Q[html]){
		$NOT[title]=$Q[title];
		$NOT[html]=$Q[html];
		update('notice',$Q[no],$NOT);
	}else{
		mysql_query("DELETE FROM notice WHERE id='$Q[no]'",$db);
	}
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
notice_edit();
}
#----------------------------------------------------------#
# データベース作成及び確認
#----------------------------------------------------------#
function database(){
global$disp,$Q,$SET;
#-------------------------------------#
$db=sql_open();
#-------------------------------------#
# table作成
#-------------------------------------#
#---------------------------#
# ID
#---------------------------#
$disp_table.="<tr><td>id</td><td>";
$sql="CREATE TABLE id (
id VARCHAR(16) NOT NULL,
pass VARCHAR(32) NOT NULL,
PRIMARY KEY (id)) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM id")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# player
#---------------------------#
$disp_table.="<tr><td>player</td><td>";
$sql="CREATE TABLE player (
id VARCHAR(16) NOT NULL ,
`0` VARCHAR(24) NOT NULL ,
`1` VARCHAR(24) NOT NULL ,
`2` VARCHAR(32) DEFAULT '...',
`3` VARCHAR(16),
`4` INT,
`5` VARCHAR(32),
`6` VARCHAR(32),
`7` TINYINT DEFAULT 0,
`8` TINYINT DEFAULT 0,
`9` TINYINT DEFAULT 0,
`10` TINYINT DEFAULT 0,
`11` INT DEFAULT 0,
`12` INT DEFAULT 0,
`13` TINYINT DEFAULT 0,
`14` TINYINT DEFAULT 0,
`15` TINYINT DEFAULT 1,
`16` INT DEFAULT 0,
`17` INT DEFAULT 0,
`18` INT DEFAULT 0,
`19` INT DEFAULT 1,
`20` TINYINT DEFAULT 3,
`21` TINYINT,
`22` INT,
`23` VARCHAR(640) DEFAULT '!!!!!!!!',
`24` VARCHAR(36) DEFAULT '9!8!7!6!5!4!3!2!1',
`25` VARCHAR(640),
`26` TINYINT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM player")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# team
#---------------------------#
$disp_table.="<tr><td>team</td><td>";
$sql="CREATE TABLE team (
id VARCHAR(16) NOT NULL ,
`0` INT DEFAULT 0,
`1` VARCHAR(864),
`2` TINYINT DEFAULT 0,
`3` TINYINT DEFAULT 0,
`4` TINYINT DEFAULT 0,
`5` TINYINT DEFAULT 0,
`6` SMALLINT DEFAULT 0,
`7` SMALLINT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM team")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# player_card
#---------------------------#
$disp_table.="<tr><td>player_card</td><td>";
$sql="CREATE TABLE player_card (
id VARCHAR(36) NOT NULL ,
player_id VARCHAR(16) NOT NULL ,
`0` VARCHAR(16) NOT NULL ,
`1` VARCHAR(2) NOT NULL ,
`2` VARCHAR(2) NOT NULL ,
`3` VARCHAR(2) NOT NULL ,
`4` TINYINT DEFAULT 50,
`5` TINYINT DEFAULT 0,
`6` VARCHAR(100),
`7` TINYINT DEFAULT 1,
`8` INT DEFAULT 0,
`9` VARCHAR(2) NOT NULL ,
`10` VARCHAR(2) NOT NULL ,
`11` TINYINT,
`12` TINYINT,
`13` TINYINT,
`14` TINYINT,
`15` TINYINT,
`16` TINYINT,
`17` TINYINT,
`18` VARCHAR(1024),
`19` TINYINT,
`20` TINYINT DEFAULT 1,
`21` TINYINT,
`22` TINYINT,
`23` TINYINT,
`24` TINYINT,
`25` TINYINT,
`26` TINYINT,
`27` TINYINT,
`28` TINYINT,
`29` VARCHAR(1024),
`30` TINYINT,
`31` TINYINT,
`32` TINYINT,
`33` TINYINT,
`34` TINYINT,
`35` TINYINT,
`36` TINYINT,
`37` VARCHAR(3) DEFAULT 'N',
`38` TINYINT DEFAULT 0,
`39` TINYINT DEFAULT 0,
`40` VARCHAR(1024),
`41` VARCHAR(1024),
`42` TINYINT DEFAULT 0,
`43` VARCHAR(5),
`44` TINYINT DEFAULT 0,
`45` SMALLINT DEFAULT 0,
`46` SMALLINT DEFAULT 0,
`47` SMALLINT DEFAULT 0,
`48` SMALLINT DEFAULT 0,
`49` SMALLINT DEFAULT 0,
`50` SMALLINT DEFAULT 0,
`51` SMALLINT DEFAULT 0,
`52` SMALLINT DEFAULT 0,
`53` SMALLINT DEFAULT 0,
`54` SMALLINT DEFAULT 0,
`55` SMALLINT DEFAULT 0,
`56` SMALLINT DEFAULT 0,
`57` SMALLINT DEFAULT 0,
`58` SMALLINT DEFAULT 0,
`59` SMALLINT DEFAULT 0,
`60` SMALLINT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM player_card")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_b#今
#---------------------------#
$disp_table.="<tr><td>card_res_b</td><td>";
$sql="CREATE TABLE card_res_b (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_b")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_bp#練習
#---------------------------#
$disp_table.="<tr><td>card_res_bp</td><td>";
$sql="CREATE TABLE card_res_bp (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_bp")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_bb#前
#---------------------------#
$disp_table.="<tr><td>card_res_bb</td><td>";
$sql="CREATE TABLE card_res_bb (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_bb")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_ba#全
#---------------------------#
$disp_table.="<tr><td>card_res_ba</td><td>";
$sql="CREATE TABLE card_res_ba (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_ba")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_p#今
#---------------------------#
$disp_table.="<tr><td>card_res_p</td><td>";
$sql="CREATE TABLE card_res_p (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,`25` INT DEFAULT 0,`26` INT DEFAULT 0,`27` INT DEFAULT 0,`28` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_p")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_pp#練習
#---------------------------#
$disp_table.="<tr><td>card_res_pp</td><td>";
$sql="CREATE TABLE card_res_pp (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,`25` INT DEFAULT 0,`26` INT DEFAULT 0,`27` INT DEFAULT 0,`28` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_pp")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_pb#前
#---------------------------#
$disp_table.="<tr><td>card_res_pb</td><td>";
$sql="CREATE TABLE card_res_pb (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,`25` INT DEFAULT 0,`26` INT DEFAULT 0,`27` INT DEFAULT 0,`28` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_pb")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_pa#全
#---------------------------#
$disp_table.="<tr><td>card_res_pa</td><td>";
$sql="CREATE TABLE card_res_pa (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,`25` INT DEFAULT 0,`26` INT DEFAULT 0,`27` INT DEFAULT 0,`28` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_pa")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_ppp#打撃練習
#---------------------------#
$disp_table.="<tr><td>card_res_ppp</td><td>";
$sql="CREATE TABLE card_res_ppp (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,`25` INT DEFAULT 0,`26` INT DEFAULT 0,`27` INT DEFAULT 0,`28` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_ppp")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# card_res_bpp#打撃練習
#---------------------------#
$disp_table.="<tr><td>card_res_bpp</td><td>";
$sql="CREATE TABLE card_res_bpp (
id VARCHAR(36) NOT NULL ,
`0` INT DEFAULT 0,`1` INT DEFAULT 0,`2` INT DEFAULT 0,`3` INT DEFAULT 0,`4` INT DEFAULT 0,`5` INT DEFAULT 0,`6` INT DEFAULT 0,`7` INT DEFAULT 0,`8` INT DEFAULT 0,`9` INT DEFAULT 0,`10` INT DEFAULT 0,`11` INT DEFAULT 0,`12` INT DEFAULT 0,`13` INT DEFAULT 0,`14` INT DEFAULT 0,`15` INT DEFAULT 0,`16` INT DEFAULT 0,`17` INT DEFAULT 0,`18` INT DEFAULT 0,`19` INT DEFAULT 0,`20` INT DEFAULT 0,`21` INT DEFAULT 0,`22` INT DEFAULT 0,`23` INT DEFAULT 0,`24` INT DEFAULT 0,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM card_res_bpp")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# time
#---------------------------#
$disp_table.="<tr><td>time</td><td>";
$sql="CREATE TABLE time (
id VARCHAR(36) NOT NULL ,
time INT,
no INT,
num INT,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM time")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){
$disp_table.="make";
#作成までやる
$TIME=array();
$TIME[id]='time';
$TIME[time]=time();
$TIME[no]=0;
$TIME[num]=0;

$TIME_COL=insert_colum($TIME);
$TIME_DATA=insert_data($TIME);
$sql="INSERT INTO time $TIME_COL VALUES $TIME_DATA";
mysql_query($sql,$db);

}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# game
#---------------------------#
$disp_table.="<tr><td>game</td><td>";
$sql="CREATE TABLE game(
id INT NOT NULL,
pid VARCHAR(36),
ppt SMALLINT,
ph SMALLINT,
per SMALLINT,
ppt_in  VARCHAR(1024),
ph_in  VARCHAR(1024),
oid VARCHAR(36),
opt SMALLINT,
oh SMALLINT,
oer SMALLINT,
opt_in  VARCHAR(1024),
oh_in  VARCHAR(1024),
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM game")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# winner
#---------------------------#
$disp_table.="<tr><td>winner</td><td>";
$sql="CREATE TABLE winner(
id INT NOT NULL,
wid VARCHAR(36) NOT NULL,
tname VARCHAR(36) NOT NULL,
win SMALLINT,
lose SMALLINT,
draw SMALLINT,
pt SMALLINT,
lpt SMALLINT,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM winner")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# notice
#---------------------------#
$disp_table.="<tr><td>notice</td><td>";
$sql="CREATE TABLE notice(
id INT NOT NULL,
title VARCHAR(1024) NOT NULL,
html VARCHAR(10000) NOT NULL,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM notice")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# analyse
#---------------------------#
$disp_table.="<tr><td>analysis</td><td>";
$sql="CREATE TABLE analysis(
id VARCHAR(36) NOT NULL,
PRIMARY KEY (id)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM analysis")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#---------------------------#
# log
#---------------------------#
$disp_table.="<tr><td>log</td><td>";
$sql="CREATE TABLE log(
time INT NOT NULL,
id VARCHAR(36) NOT NULL,
r VARCHAR(100),
q VARCHAR(1000),
PRIMARY KEY (time)
) ENGINE = INNODB;";
if(mysql_query("SELECT * FROM log")){$disp_table.="exist";}elseif(mysql_query($sql,$db)){$disp_table.="make";}else{$disp_table.="none";}
$disp_table.="</td></tr>";
#-------------------------------------#
sql_close($db);
#-------------------------------------#

$disp.=head();
$disp.=title(1);
$disp.=<<<EOF
<tr><td colspan=2>
<b>データベース作成・確認</b><blockquote>
<table>
$disp_table
</table>
</blockquote>
<table><tr><form method=POST action="$SET[path_admin]"><td>
<input type=submit value="戻る">
</td><input type=hidden name=pass value="$Q[pass]">
<input type=hidden name=r value="admin"></form></tr></table>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
?>
